/*
   name:    RunJavaClass.rex
   author:  Jack Woehr, <http://www.well.com/%7Ejax/rcfb/rexx.html>
   purpose: Calls the static void main() method of a class
   date:    2008-09-03

   usage:   RunJavaClass fullyQualifiedJavaClassName [arg] ...
   license: CPL v1.0
*/

parse arg myClassName myArgs        /* parse arguments      */
say "args are:" pp(myArgs)          /* show arguments       */

myClass=bsf.loadClass(myClassName)  /* load the Java class  */
myArgArray=bsf.createArray("String.class", myArgs~words)
do i = 1 to myArgs~words
   myArgArray[i]= myArgs~word(i)
end

myClass~main(myArgArray)            /* invoke the static "main" method  */

::requires BSF.CLS
